<?xml version="1.0" encoding="utf-8"?>
<xslt:stylesheet xmlns:xslt="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xslt:template match="/">
		<html>
		<head>
		<title>Test Report</title>
		<style type="text/css">
			.results {
				width: 100%; border-style: solid; border-width: 1.5pt;
				border-color: darkgray
			}
			.row {
				padding: 3 3 3 3
			}
			td, body, p {
				font-family: Verdana; font-size: 9pt; color: black;
				font-weight: normal; text-decoration: none; cursor: default
			}
			.heading {
				padding: 5 3 5 3; background-color: darkred; color: white;
				border-top-style: solid; border-top-width: 1pt;
				border-top-color: darkgray;
				border-bottom-style: solid; border-bottom-width: 1pt;
				border-bottom-color: darkgray; font-weight: bold; font-size: 10pt
			}
		</style>
		</head>
		<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
		<xslt:apply-templates />
		</body>
		</html>
	</xslt:template>
<!--
test-suite name="H:\Projects2.NET\LibXMS2\NTest\bin\Debug\MonsieurWJ.LibXMS2.Tests.dll" success="True" time="0.03125"
-->
	<xslt:template match="test-suite">
		<tr>
			<td class="heading" width="15%" 
				style="background-color: lightblue; color: blue">
			Test Suite
			</td>
			<td width="85%" class="heading"
				style="background-color: lightblue; color: blue">
			<span style="color: red"><xslt:value-of select="@name"/></span>
			</td>
		</tr>
		<tr class="row">
			<td width="15%">Successful
			</td>
			<td width="85%">
				<xslt:value-of select="@success"/>
			</td>
		</tr>
	</xslt:template>

	<xslt:template match="test-results">
		<table class="results" cellspacing="0" cellpadding="0">
			<tr>
				<td colspan="2"  class="heading">
				Test Report
				</td>
			</tr>
			<tr class="row">
				<td width="15%">Assembly Name
				</td>
				<td width="85%">
					<xslt:value-of select="@name"/>
				</td>
			</tr>
			<tr class="row">
				<td width="15%">Total No. of Tests
				</td>
				<td width="85%">
					<xslt:value-of select="@total"/>
				</td>
			</tr>
			<tr class="row">
				<td width="15%">Failures
				</td>
				<td width="85%">
					<xslt:value-of select="@failures"/>
				</td>
			</tr>
			<tr class="row">
				<td width="15%">Not Run
				</td>
				<td width="85%">
					<xslt:value-of select="@not-run"/>
				</td>
			</tr>
			<tr class="row">
				<td width="15%">Time
				</td>
				<td width="85%">
					<xslt:value-of select="@date"/>&#32;<xslt:value-of select="@time"/>
				</td>
			</tr>
			<xslt:apply-templates />
		</table>
	</xslt:template>
</xslt:stylesheet>